Bug 21438 - Expose lang/xml:lang to allow language specific node rendering
Summary: Expose lang/xml:lang to allow language specific node rendering
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 525.x (Safari 3.1)
Hardware: PC All
: P2 Normal
Assignee: Nobody
URL: http://www.w3.org/International/tests...
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-07 11:37 PDT by Jon@Chromium
Modified: 2012-08-14 12:35 PDT (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jon@Chromium 2008-10-07 11:37:19 PDT
Firefox3: OK
     IE7: Fail

Steps:
1. Launch Chrome
2. Go to http://www.w3.org/International/tests/sec-lang-decl-2.html
3. Observe "Styling with :lang" section

Result:
Background color is white

Expected:
Should be green

Currently, webkit does not even offer a way to 
retrieve the value of 'lang/xml:lang' for a given node.

Blocking Chrome issue http://code.google.com/p/chromium/issues/detail?id=3179
Comment 1 Jon@Chromium 2008-10-31 09:34:35 PDT
Also related to this additional Chromium bug http://code.google.com/p/chromium/issues/detail?id=3211
Comment 2 Jungshik Shin 2008-10-31 12:59:23 PDT
Chromium bug 3212 does  have very little (if any) to do with this. 


Comment 3 Alexey Proskuryakov 2012-08-14 09:41:33 PDT
> 2. Go to http://www.w3.org/International/tests/sec-lang-decl-2.html

This test page is gone. A lot have been done for :lang support, can this be considered resolved now?
Comment 4 Eric Seidel (no email) 2012-08-14 12:35:21 PDT
Seems to be.  Please re-open if I've mis-understood Jon.